package me.parsell.glowstonewire.mixin;

import java.util.Map;

import com.google.gson.JsonElement;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

import me.parsell.glowstonewire.GlowstoneWire;
import me.parsell.glowstonewire.core.glowLootTables;
import net.minecraft.loot.LootManager;
import net.minecraft.resource.ResourceManager;
import net.minecraft.util.Identifier;
import net.minecraft.util.profiler.Profiler;

@Mixin(LootManager.class)
public class LootManagerInjector {
    @Inject(method = "apply", at = @At("HEAD"))
    public void interceptApply(Map<Identifier, JsonElement> map, ResourceManager resourceManager, Profiler profiler, CallbackInfo info) {
        if (GlowstoneWire.CONFIG.replaceGlowstoneDrop) {
            map.put(new Identifier("minecraft", "blocks/glowstone"), glowLootTables.glowstonelootTable);
        }
    }
}
